## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 22
%bcond_without check

%global crate hyperfine

%if 0%{?el8}
# el8 doesn't have these macros
%global __crates_url https://crates.io/api/v1/crates/
%global crates_source %{__crates_url}%{crate}/%{version}/download#/%{crate}-%{version}.crate
%global version_no_tilde %{version}
%endif

Name:           rust-hyperfine
Version:        1.14.0
Release:        %autorelease
Summary:        Command-line benchmarking tool

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/hyperfine
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# vendored dependencies for EPEL
Source100:      %{crate}-%{version}-vendor.tar.xz
# Automatically generated patch to strip foreign dependencies
Patch:          hyperfine-fix-metadata-auto.diff

ExclusiveArch:  %{rust_arches}

%if 0%{?el8}
BuildRequires:  rust-toolset
%else
BuildRequires:  rust-packaging >= 21
%endif

%global _description %{expand:
Command-line benchmarking tool.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License:        MIT AND MPL-2.0 AND (Apache-2.0 OR BSL-1.0)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/hyperfine
%{_mandir}/man1/hyperfine.1*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/hyperfine.bash
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/fish/vendor_completions.d/hyperfine.fish
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_hyperfine

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%if 0%{?el8}
%cargo_prep -V 100
%else
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%endif

%build
%cargo_build

%install
%cargo_install
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  doc/hyperfine.1
install -Dpm0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
  target/release/build/%{crate}-*/out/hyperfine.bash
install -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_completions.d \
  target/release/build/%{crate}-*/out/hyperfine.fish
install -Dpm0644 -t %{buildroot}%{_datadir}/zsh/site-functions \
  target/release/build/%{crate}-*/out/_hyperfine

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Nov 18 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 1.14.0-2
- Build with vendored crates on EPEL 8

* Mon Aug 08 2022 Fabio Valentini <decathorpe@gmail.com> 1.14.0-1
- Update to version 1.14.0; Fixes RHBZ#2061068

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.12.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 1.12.0-3
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 12 2022 Fabio Valentini <decathorpe@gmail.com> 1.12.0-1
- Update to version 1.12.0; Fixes RHBZ#2014895

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 28 2021 Fabio Valentini <decathorpe@gmail.com> - 1.11.0-4
- Update approx to 0.5

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:30:54 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.11.0-2
- Rebuild

* Fri Nov 20 2020 Fabio Valentini <decathorpe@gmail.com> - 1.11.0-1
- Update to version 1.11.0.
- Fixes RHBZ#1889025

* Sun Aug 16 15:01:31 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.10.0-4
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 18 07:34:32 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.10.0-2
- Update indicatif to 0.15

* Mon May 25 17:04:54 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.10.0-1
- Update to 1.10.0

* Wed Feb 26 2020 Josh Stone <jistone@redhat.com> - 1.9.0-4
- Bump indicatif to 0.14

* Sun Feb 16 14:38:46 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.9.0-3
- Fixup license

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 06 17:31:47 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.9.0-1
- Update to 1.9.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 21 08:58:51 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6.0-2
- Regenerate

* Sun Jun 09 13:46:06 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6.0-1
- Update to 1.6.0

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.5.0-3
- Bump statistical to 1.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.5.0-1
- Initial package

